TeamTalk 5 C-API DLL: ServerProperties Struct Reference

TeamTalk 5 C-API DLL Version 5.8B

Public Attributes | List of all members
ServerProperties Struct Reference
Server Administration

A struct containing the properties of the server's settings. More...

`#include <TeamTalk.h>`

## Public Attributes

TTCHAR | szServerName [TT_STRLEN]
| The server's name. More...
TTCHAR | szMOTD [TT_STRLEN]
| The message of the day. Read-only property. Use `szMOTDRaw` to update this property. More...
TTCHAR | szMOTDRaw [TT_STRLEN]

The message of the day including variables. The result of the szMOTDRaw string will be displayed in `szMOTD`. When updating the MOTD the variables users% (number of users), admins% (number of admins), uptime% (hours, minutes and seconds the server has been online), voicetx% (KBytes transmitted), voicerx% (KBytes received) and lastuser% (nickname of last user to log on to the server) as part of the MOTD. More...

INT32 | nMaxUsers
| The maximum number of users allowed on the server. A user with admin account can ignore this. More...
INT32 | nMaxLoginAttempts
| The maximum number of logins with wrong password before banning user's IP-address. More...
INT32 | nMaxLoginsPerIPAddress
| The maximum number of users allowed to log in with the same IP-address. 0 means disabled. More...
INT32 | nMaxVoiceTxPerSecond
| The maximum number of bytes per second which the server will allow for voice packets. If this value is exceeded the server will start dropping audio packets. 0 = disabled. More...
INT32 | nMaxVideoCaptureTxPerSecond
| The maximum number of bytes per second which the server will allow for video input packets. If this value is exceeded the server will start dropping video packets. 0 = disabled. More...
INT32 | nMaxMediaFileTxPerSecond
| The maximum number of bytes per second which the server will allow for media file packets. If this value is exceeded the server will start dropping media file packets. 0 = disabled. More...
INT32 | nMaxDesktopTxPerSecond
| The maximum number of bytes per second which the server will allow for desktop packets. If this value is exceeded the server will start dropping desktop packets. 0 = disabled. More...
INT32 | nMaxTotalTxPerSecond
| The amount of bytes per second which the server will allow for packet forwarding. If this value is exceeded the server will start dropping packets. 0 = disabled. More...
TTBOOL | bAutoSave
| Whether the server automatically saves changes. More...
INT32 | nTcpPort
| The server's TCP port. More...
INT32 | nUdpPort
| The server's UDP port. More...
INT32 | nUserTimeout
| The number of seconds before a user who hasn't responded to keepalives will be kicked off the server. More...
TTCHAR | szServerVersion [TT_STRLEN]
| The server version. Read-only property. More...
TTCHAR | szServerProtocolVersion [TT_STRLEN]
| The version of the server's protocol. Read-only property. More...
INT32 | nLoginDelayMSec
| Number of msec before an IP-address can make another login attempt. If less than this amount then TT_DoLogin() will result in CMDERR_MAX_LOGINS_PER_IPADDRESS_EXCEEDED. Zero means disabled. More...
TTCHAR | szAccessToken [TT_STRLEN]
| A randomly generated 256 bit access token created by the server to identify the login session. More...

## Detailed Description

A struct containing the properties of the server's settings.

The server properties is available after a successful call to TT_DoLogin

See also
  TT_DoUpdateServer
  TT_GetServerProperties
  TT_Login
  UserRight

Definition at line 1719 of file TeamTalk.h.

## Member Data Documentation

## ◆ szServerName

TTCHAR ServerProperties::szServerName[TT_STRLEN]

The server's name.

Definition at line 1722 of file TeamTalk.h.

## ◆ szMOTD

TTCHAR ServerProperties::szMOTD[TT_STRLEN]

The message of the day. Read-only property. Use `szMOTDRaw` to update this property.

Definition at line 1725 of file TeamTalk.h.

## ◆ szMOTDRaw

TTCHAR ServerProperties::szMOTDRaw[TT_STRLEN]

The message of the day including variables. The result of the szMOTDRaw string will be displayed in `szMOTD`. When updating the MOTD the variables users% (number of users), admins% (number of admins), uptime% (hours, minutes and seconds the server has been online), voicetx% (KBytes transmitted), voicerx% (KBytes received) and lastuser% (nickname of last user to log on to the server) as part of the MOTD.

Definition at line 1734 of file TeamTalk.h.

## ◆ nMaxUsers

INT32 ServerProperties::nMaxUsers

The maximum number of users allowed on the server. A user with admin account can ignore this.

Definition at line 1737 of file TeamTalk.h.

## ◆ nMaxLoginAttempts

INT32 ServerProperties::nMaxLoginAttempts

The maximum number of logins with wrong password before banning user's IP-address.

Definition at line 1740 of file TeamTalk.h.

## ◆ nMaxLoginsPerIPAddress

INT32 ServerProperties::nMaxLoginsPerIPAddress

The maximum number of users allowed to log in with the same IP-address. 0 means disabled.

Definition at line 1743 of file TeamTalk.h.

## ◆ nMaxVoiceTxPerSecond

INT32 ServerProperties::nMaxVoiceTxPerSecond

The maximum number of bytes per second which the server will allow for voice packets. If this value is exceeded the server will start dropping audio packets. 0 = disabled.

Definition at line 1747 of file TeamTalk.h.

## ◆ nMaxVideoCaptureTxPerSecond

INT32 ServerProperties::nMaxVideoCaptureTxPerSecond

The maximum number of bytes per second which the server will allow for video input packets. If this value is exceeded the server will start dropping video packets. 0 = disabled.

Definition at line 1752 of file TeamTalk.h.

## ◆ nMaxMediaFileTxPerSecond

INT32 ServerProperties::nMaxMediaFileTxPerSecond

The maximum number of bytes per second which the server will allow for media file packets. If this value is exceeded the server will start dropping media file packets. 0 = disabled.

Definition at line 1756 of file TeamTalk.h.

## ◆ nMaxDesktopTxPerSecond

INT32 ServerProperties::nMaxDesktopTxPerSecond

The maximum number of bytes per second which the server will allow for desktop packets. If this value is exceeded the server will start dropping desktop packets. 0 = disabled.

Definition at line 1760 of file TeamTalk.h.

## ◆ nMaxTotalTxPerSecond

INT32 ServerProperties::nMaxTotalTxPerSecond

The amount of bytes per second which the server will allow for packet forwarding. If this value is exceeded the server will start dropping packets. 0 = disabled.

Definition at line 1764 of file TeamTalk.h.

## ◆ bAutoSave

TTBOOL ServerProperties::bAutoSave

Whether the server automatically saves changes.

Definition at line 1766 of file TeamTalk.h.

## ◆ nTcpPort

INT32 ServerProperties::nTcpPort

The server's TCP port.

Definition at line 1768 of file TeamTalk.h.

## ◆ nUdpPort

INT32 ServerProperties::nUdpPort

The server's UDP port.

Definition at line 1770 of file TeamTalk.h.

## ◆ nUserTimeout

INT32 ServerProperties::nUserTimeout

The number of seconds before a user who hasn't responded to keepalives will be kicked off the server.

Definition at line 1773 of file TeamTalk.h.

## ◆ szServerVersion

TTCHAR ServerProperties::szServerVersion[TT_STRLEN]

The server version. Read-only property.

Definition at line 1775 of file TeamTalk.h.

## ◆ szServerProtocolVersion

TTCHAR ServerProperties::szServerProtocolVersion[TT_STRLEN]

The version of the server's protocol. Read-only property.

Definition at line 1778 of file TeamTalk.h.

## ◆ nLoginDelayMSec

INT32 ServerProperties::nLoginDelayMSec

Number of msec before an IP-address can make another login attempt. If less than this amount then TT_DoLogin() will result in CMDERR_MAX_LOGINS_PER_IPADDRESS_EXCEEDED. Zero means disabled.

Also checkout `nMaxLoginAttempts` and `nMaxLoginsPerIPAddress`.

Definition at line 1787 of file TeamTalk.h.

## ◆ szAccessToken

TTCHAR ServerProperties::szAccessToken[TT_STRLEN]

A randomly generated 256 bit access token created by the server to identify the login session.

The szAccessToken is available after receiving CLIENTEVENT_CON_SUCCESS.

Read-only property.

Definition at line 1795 of file TeamTalk.h.